<!DOCTYPE html>
<html xmlns:th="http://www.thymeleaf.org">
<head>
<meta charset="UTF-8" />
<title>The Bookshop</title>
<meta name="viewport" content="width=device-width, initial-scale=1.0" />

<!-- See configuration in WebMvConfig.java -->
<link th:href="@{/bootstrap/css/bootstrap.min.css}" rel="stylesheet"
	media="screen" />

<script th:src="@{/jquery/jquery.min.js}"></script>
<script th:src="@{/popper/popper.min.js}"></script>
<script th:src="@{/bootstrap/js/bootstrap.min.js}"></script>

</head>

<body
	th:with="loggedIn=${session.customerSession != null && session.customerSession.loggedIn()}">

	<h2 style="text-align: center" th:text="${book.title}">Welcome to the Bookshop</h2>

	<img th:src="@{/images/books-top.png}"
		style="width: 55vw; min-width: 300px; display: block; margin-left: auto; margin-right: auto;" />

	<p>
	<div class="col text-center">
		<p
			th:text="|A ${book.genre}-Novel by ${book.author} first published ${book.year}|">Genre,
			Author and Year</p>
		<p>
	</div>
		
	<table style="margin-left:auto; margin-right:auto;" >
		<tbody>
			<tr>
				<th>
					<form th:if="${loggedIn}" th:action="@{/order}" th:object="${holder}" method="post">
						<input type="hidden" th:value="${book.id}" name="value">
						<input type="submit" value="Order" class="btn btn-success" />							
					</form>					
				</th>
				<th><button onclick="window.history.back()" class="btn btn-primary">Go Back</button></th>
				<th><a th:href="@{/}" class="btn btn-secondary">Main Page</a></th>
			</tr>
		</tbody>
	</table>
				
	<p style="margin-left: 10%; margin-right: 10%; text-align: justify;"
		th:text="${book.sample}">A Sample</p>

	<p>
	<div class="col text-center">
		<p>
			<button onclick="window.history.back()" class="btn btn-primary">Go Back</button>
			<a th:href="@{/}" class="btn btn-secondary">Main Page</a>
	</div>

	<img th:src="@{/images/books-bottom.png}"
		style="width: 55vw; min-width: 300px; display: block; margin-left: auto; margin-right: auto;" />

</body>
</html>
